# $Revision: 1.31 $, $Date: 2002/07/18 01:13:28 $
Summary:	The Typesafe Signal Framework for C++
Summary(pl):	rodowisko sygnaw z kontrol typw dla C++
Name:		libsigc++
Version:	1.1.9
Release:	2
Epoch:		1
License:	LGPL
Vendor:		Karl E. Nelson <kenelson@ece.ucdavis.edu>
Group:		Libraries
Source0:	http://prdownloads.sourceforge.net/libsigc/%{name}-%{version}.tar.gz
Patch0:		%{name}-m4.patch
URL:		http://libsigc.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	m4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libsigc++-examples
Conflicts:	%{name} < 1.1.0

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, %{name} is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

%description -l pl
Ta biblioteka jest implementacj penego systemu callbackw do
uywania w bibliotekach widgetw, interfejsach abstrakcyjnych i
oglnym programowaniu. Oryginalnie bya to cz zestawu widgetw
Gtk--, ale jest teraz oddzieln bibliotek oglniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z moliwoci
czenia abstrakcyjnych callbackw z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterw do czenia rnych
callbackw.

%package devel
Summary:	Development tools for the Typesafe Signal Framework for C++
Summary(pl):	Narzdzia programistyczne do rodowiska libsig++
Group:		Development/Libraries
Requires:	m4
Requires:	%{name} = %{version}

%description devel
Development tools for the Typesafe Signal Framework for C++.

%description devel -l pl
Narzdzia programistyczne do rodowiska libsigc++ - sygnaw z
kontrol typw.

%package static
Summary:	Static Typesafe Signal Framework for C++ libraries
Summary(pl):	Statyczna biblioteka libsigc++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static Typesafe Signal Framework for C++ libraries.

%description static -l pl
Statyczna biblioteka libsigc++ - rodowiska sygnaw z kontrol typw.

%prep
%setup -q
%patch0 -p1

%build
CXXFLAGS="%{rpmcflags} -fno-exceptions"
rm -f scripts/missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS README IDEAS FEATURES NEWS ChangeLog TODO doc/*
%attr(755,root,root) %{_bindir}/sigc-config*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/sigc++-*
%{_libdir}/sigc++-*
%{_pkgconfigdir}/*
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libsigc++.spec,v $
Revision 1.31  2002/07/18 01:13:28  kloczek
- release 2: use new %doc.

Revision 1.30  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.29  2002/05/21 23:13:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/04/21 01:11:49  misiek
- updated to 1.1.9

Revision 1.27  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.26  2002/03/21 20:44:05  misiek
- updated to 1.1.8

Revision 1.25  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/18 22:49:32  misiek
- merged 1.1.7

Revision 1.23.2.1  2002/02/17 10:49:17  misiek
- updated to 1.1.6

Revision 1.23  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/12/05 08:38:43  qboosh
- adapterized, added pl translations; release 2

Revision 1.21  2001/10/24 13:30:06  kloczek
- updated to 1.0.4,
- aded remove_stupid_install-data-hook_targets patch for allow build package
  from non-root user.

Revision 1.20  2001/09/24 12:40:20  kloczek
- bump release to 6 and added missing BuildRequires rules.

Revision 1.19  2001/09/23 21:04:44  blues
- release 4
- ac2.5 ready, make libtool happy

Revision 1.18  2001/06/16 21:09:40  kloczek
- bump release to 3 (Epoch: 1).

Revision 1.17  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.16  2001/02/19 01:56:04  kloczek
- updated to 1.0.3.

Revision 1.15  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.13  2000/11/20 01:53:36  kloczek
- removed outdated ac_thread.sh patch.

Revision 1.12  2000/11/20 01:24:49  kloczek
- updated to 1.0.2.

Revision 1.11  2000/11/19 22:21:20  kloczek
- release 3: rebuild on glibc 2.2 (without this gtkmm not compiles
  correctly).

Revision 1.10  2000/10/19 02:19:55  kloczek
- release 2: use new rpm automation.

Revision 1.9  2000/07/04 03:31:09  kloczek
- updated to 1.0.1,
- added Obsoletes: libsigc++-examples.

Revision 1.8  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.5  2000/04/20 15:16:07  mkochano
- Removed '-fno-rtti'.

Revision 1.4  2000/04/15 22:41:57  bonkey
- added libsigc++-ac_thread.sh.patch

Revision 1.3  2000/04/15 19:30:28  kloczek
- updated to 1.0.0,
- new URL and Source url.

Revision 1.2  2000/04/04 02:39:23  kloczek
- completly rewrited in PLD style.

Based on spec written by Dmitry V. Levin <ldv@fandra.org>.
